Bug 1693715 - [RFE] Default to resource name for conversion hosts
Summary: [RFE] Default to resource name for conversion hosts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.2
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.10.4
Assignee: Fabien Dupont
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1689894
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-28 14:22 UTC by Satoe Imaishi
Modified: 2019-05-21 05:47 UTC (History)
3 users (show)

Fixed In Version: 5.10.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1689894
Environment:
Last Closed: 2019-05-21 05:46:54 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:01 UTC

Comment 3 CFME Bot 2019-04-24 19:47:07 UTC
New commits detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/6e595db3ff47f30cd8698920ae23dbeda746435f
commit 6e595db3ff47f30cd8698920ae23dbeda746435f
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Mar  7 16:30:19 2019 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Mar  7 16:30:19 2019 -0500

    Merge pull request #18516 from djberg96/conversion_host_validations

    Default to resource name for conversion hosts

    (cherry picked from commit 297f4c22abbc1dcf98b3b4e9bc2337bcf3acb9be)

    https://bugzilla.redhat.com/show_bug.cgi?id=1696437
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1693715

 app/models/conversion_host.rb | 8 +
 spec/models/conversion_host_spec.rb | 11 +
 2 files changed, 19 insertions(+)

Comment 4 Shveta 2019-05-02 21:20:12 UTC
irb(main):008:0> res = Host.find_by(name: 'env-rhv42-01.cfme2.lab.eng.rdu2.redhat.com')
=> #<ManageIQ::Providers::Redhat::InfraManager::Host id: 3, name: "env-rhv42-01.cfme2.lab.eng.rdu2.redhat.com", hostname: "env-rhv42-01.cfme2.lab.eng.rdu2.redhat.com", ipaddress: "2620:52:0:8c4:250:56ff:fe9f:e6bb", vmm_vendor: "redhat", vmm_version: "7.6", vmm_product: "rhel", vmm_buildnumber: nil, created_on: "2019-05-02 19:22:24", updated_on: "2019-05-02 19:22:24", guid: "4fbc0662-3b73-475f-85c8-82a3350a4660", ems_id: 2, user_assigned_os: nil, power_state: "on", smart: 1, settings: {}, last_perf_capture_on: nil, uid_ems: "8ec8c8ef-756b-4af5-a41a-6d68ac8224cd", connection_state: "connected", ssh_permit_root_login: nil, ems_ref_obj: "--- \"/api/hosts/8ec8c8ef-756b-4af5-a41a-6d68ac8224...", admin_disabled: nil, service_tag: nil, asset_tag: nil, ipmi_address: nil, mac_address: nil, type: "ManageIQ::Providers::Redhat::InfraManager::Host", failover: nil, ems_ref: "/api/hosts/8ec8c8ef-756b-4af5-a41a-6d68ac8224cd", hyperthreading: nil, ems_cluster_id: 3, next_available_vnc_port: nil, hypervisor_hostname: nil, availability_zone_id: nil, maintenance: false, maintenance_reason: nil, physical_server_id: nil>

irb(main):009:0> conversion_host = ConversionHost.create(resource: res) 
=> #<ConversionHost id: 4, name: "env-rhv42-01.cfme2.lab.eng.rdu2.redhat.com", address: nil, type: nil, resource_type: "Host", resource_id: 3, version: nil, max_concurrent_tasks: nil, vddk_transport_supported: nil, ssh_transport_supported: nil, created_at: "2019-05-02 21:18:50", updated_at: "2019-05-02 21:18:50", concurrent_transformation_limit: nil, cpu_limit: nil, memory_limit: nil, network_limit: nil, blockio_limit: nil>

irb(main):010:0> ConversionHost.all
=> #<ActiveRecord::Relation [#<ConversionHost id: 4, name: "env-rhv42-01.cfme2.lab.eng.rdu2.redhat.com", address: nil, type: nil, resource_type: "Host", resource_id: 3, version: nil, max_concurrent_tasks: nil, vddk_transport_supported: nil, ssh_transport_supported: nil, created_at: "2019-05-02 21:18:50", updated_at: "2019-05-02 21:18:50", concurrent_transformation_limit: nil, cpu_limit: nil, memory_limit: nil, network_limit: nil, blockio_limit: nil>]>


Working without name . 
Verified in 5.10.4.1.20190430152139_40a1d86

Comment 6 errata-xmlrpc 2019-05-21 05:46:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.